/*
  Project: Bluetooth HC-06 ZS-40
  Function: Uses hardware serial to talk to the host computer and software serial
          for communication with the Bluetooth module. Intended for Bluetooth
          devices that require line end characters "\r\n". When a command is entered
          in the serial monitor on the computer the Arduino will relay it to the
          bluetooth module and display the result.
  Pins
  Arduino UNO  - Bluetooth HC-06
  VCC pin    5V pin
  GND pin    GND pin
  Digital 3  RX pin through a voltage divider
  Digital 2  TX pin (no need voltage divider)

*/
//*********************************************************************************
#include <SoftwareSerial.h>//include library code
//*********************************************************************************
SoftwareSerial BTserial(2, 3); // RX | TX
// Connect the HC-06 TX to the Arduino RX on pin 2. 
// Connect the HC-06 RX to the Arduino TX on pin 3 through a voltage divider.
char c=' ';
//*********************************************************************************
void setup()
{
  Serial.begin(9600);//initialize serial communication at 9600 bps
  BTserial.begin(9600);  //It can also be configured to have different baud rates:9600,
//19200,38400 etc. By default the baud rate is 9600. If 9600 doesn't work try different baud rate
}
void loop()
{
  // Read from the Bluetooth module and send to the Arduino Serial Monitor
  if (BTserial.available())
  {   
    c=BTserial.read();
    Serial.write(c);
  }
  // Read from the Arduino Serial Monitor and send to the Bluetooth module
  if (Serial.available())
  {    
    c=Serial.read();
    BTserial.write(c);    
    }
   
  }

